%define upstream_name Net_HL7
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.1
Release:     	%mkrel 6
Summary:	HL7 messaging API
License:	PHP License
Group:		Development/PHP
URL: 		http://pear.php.net/package/Net_HL7
Source0: 	http://pear.php.net/get/Net_HL7-%{version}.tgz
BuildRequires: 	php-pear >= 1.4.7

BuildArch: noarch

%description
This package provides an HL7 API for creating, sending and
manipulating HL7 messages. HL7 is a protocol on the 7th OSI layer
(hence the '7' in HL7) for messaging in Health Care
environments. HL7 means 'Health Level 7'. HL7 is a protocol with a
wealth of semantics that defines hundreds of different messages and
their meaning, but also defines the syntactics of composing and
sending messages.  The API is focused on the syntactic level of
HL7, so as to remain as flexible as possible. The package is a
translation of the Perl HL7 Toolkit and will be kept in sync with
this initiative.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_HL7.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_HL7.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_HL7
fi

%files
%doc docs/Net_HL7/*
%{peardir}/*
%{xmldir}/Net_HL7.xml

%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.1.1-6.mga6
+ Revision: 935946
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-5.mga5
+ Revision: 746543
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.1.1-4.mga5
+ Revision: 734094
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 687365
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-2.mga4
+ Revision: 527964
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 spuhler <spuhler> 0.1.1-1.mga4
+ Revision: 443066
- upgrade to version 0.1.1
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-12.mga3
+ Revision: 376949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.1.0-11.mga1
+ Revision: 43725
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_HL7


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-11mdv2011.0
+ Revision: 613726
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-10mdv2010.1
+ Revision: 468700
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.1.0-10mdv2010.0
+ Revision: 441447
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-9mdv2009.1
+ Revision: 322399
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-8mdv2009.0
+ Revision: 236983
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2007.0
+ Revision: 82312
- Import php-pear-Net_HL7

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- initial Mandriva package (PLD import)

